# IMAPD

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO

## NAME

imapd - IMAP server process

## SYNOPSIS

imapd [ -C config-file ] [ -U uses ] [ -T timeout ] [ -D ]
[ -s ] [ -N ] [ -p ssf ]

## DESCRIPTION

Imapd is an IMAP4rev1 server. It accepts commands on its standard input and responds on its standard output. It MUST be invoked by master(8) with those descriptors attached to a remote client connection.

Imapd reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

If the file msg/shutdown is created under the directory specified in the configdirectory configuration option, then imapd will shut down the connection, sending the first line contained in the file to the client as the reason. New connections are denied.

If the file msg/motd is created under the directory specified in the configdirectory configuration option, then imapd will send the first line contained in the file to clients upon connect as an ALERT message which IMAP-compliant clients are required to display. This option serves to annoy users mostly. Unfortunately clients tend to connect far more frequently than is apparent, causing each connection to generate a seperate server ALERT for each connection. Many clients do not display these properly, if they do anything with them at all.

If the directory log/user exists under the directory specified in the configdirectory configuration option, then imapd will create protocol telemetry logs for sessions authenticating as user. The telemetry logs will be stored in the log/user directory with a filename of the imapd process-id.

## OPTIONS

-C config-file

Read configuration options from config-file.

-U uses

The maximum number of times that the process should be used for new connections before shutting down. The default is 250.

-T timeout

The number of seconds that the process will wait for a new connection before shutting down. Note that a value of 0 (zero) will disable the timeout. The default is 60.

| -D |  | Run external debugger specified in debug_command.
| -s |  | Serve IMAP over SSL (imaps). All data to and from imapd is encrypted using the Secure Sockets Layer.
| -N |  | Bypass password checking. (Not recommended unless you know what you’re doing.)
| -p ssf |  | Tell imapd that an external layer exists. An SSF (security strength factor) of 1 means an integrity protection layer exists. Any higher SSF implies some form of privacy protection.

## FILES

/etc/imapd.conf

## SEE ALSO

imapd.conf(5), master(8)